import 'package:pmu/data/dto/user_dto.dart';
import 'package:pmu/domain/models/card.dart';

extension UserDtoToModel on UserDto {
  CardData toDomain() {
    const allowedExtensions = ['jpg', 'jpeg', 'gif', 'png'];

    bool isValidImageUrl(String? url) {
      if (url == null) return false;
      final extension = url.split('.').last.toLowerCase();
      return allowedExtensions.contains(extension);
    }

    return CardData(
        name: name ?? "",
        surname: surname ?? "",
        description: description ?? "",
        imageUrl: isValidImageUrl(image)
            ? image
            : (gender! == "male"
                    ? "https://avatar.iran.liara.run/public/boy"
                    : "https://avatar.iran.liara.run/public/girl")
                .toString(),
        isLiked: false,
        age: age,
        distance: distance);
  }
}
