import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pmu/data/repositories/api_repository.dart';
import 'package:pmu/presentation/home_page/bloc/bloc.dart';
import 'package:pmu/presentation/home_page/home_page.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'LoveSearch',
      home: RepositoryProvider<ApiRepository>(
          lazy: true,
          create: (_) => ApiRepository(),
          child: BlocProvider<HomeBloc>(
              lazy: false,
              create: (context) => HomeBloc(context.read<ApiRepository>()),
              child: const HomePage())),
    );
  }
}
